Package org.eclipse.gef.commands

# Class UnexecutableCommand

java.lang.Object
org.eclipse.gef.commands.Command
org.eclipse.gef.commands.UnexecutableCommand

public final class UnexecutableCommand extends Command
A Command which can never be executed

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UnexecutableCommand`
`INSTANCE`
The singleton instance

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
`boolean`
`canUndo()`

### Methods inherited from class org.eclipse.gef.commands.Command

`canRedo, chain, dispose, execute, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final UnexecutableCommand INSTANCE
The singleton instance

## Method Details

### canExecute

public boolean canExecute()

Overrides:
  `canExecute` in class `Command`
Returns:
  `false`

### canUndo

public boolean canUndo()

Overrides:
  `canUndo` in class `Command`
Returns:
  `false`